<?php
namespace Ep\Woo\Product\View\Helper;

use Ep\Woo\Product\ProductInterface;
use Zend\View\Helper\AbstractHelper;

/**
 * Renderira SaleBadge element.
 *
 * @package Ep\Woo\Produc\View\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class SaleBadge extends AbstractHelper
{
    /**
     * Renderira element.
     *
     * @param ProductInterface $product
     *
     * @return string
     */
    public function __invoke(ProductInterface $product): string
    {
        if (!$product->isOnSale()) {
            return '';
        }

        $percentage = 100 - round($product->getSalePrice() / $product->getRegularPrice() * 100);

        return sprintf('<span class="sale-badge">-%d%%</span>', $percentage);
    }
}